# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-mageia-compat
BuildRequires: /usr/bin/desktop-file-install gcc-c++
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           eyesight
Summary:        Hawaii desktop image viewer
Version:        0.1.4
Release:        alt1_7
Group:          Graphical desktop/Other
# Bundles webp, which is BSD
License:        GPLv2+ and BSD
URL:            http://hawaiios.org/projects/eyesight
# git clone --no-checkout https://github.com/hawaii-desktop/eyesight.git
# cd eyesight/
# git archive v0.1.1 --prefix=eyesight-0.1.1/ |gzip >eyesight-0.1.1.tar.gz
Source0:        https://github.com/hawaii-desktop/eyesight%{name}/releases/download/v%{version}/%{name}-%{version}.tar.gz
Patch0:         eyesight-0.1.4-fix-build-against-qt-5.11.0.patch
BuildRequires:  pkgconfig(liblzma)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5PrintSupport)
BuildRequires:  pkgconfig(Qt5Help)
BuildRequires:  qt5-designer qt5-tools
BuildRequires:  ccmake cmake ctest
BuildRequires:  bzip2-devel
BuildRequires:  desktop-file-utils
Source44: import.info

%description
Provides image viewer for Hawaii desktop.

%prep
%setup -q
%patch0 -p1


%build
%{mageia_cmake_qt5}

%mageia_cmake_build

%install
%mageia_cmake_install

desktop-file-install --delete-original                          \
        --dir %{buildroot}%{_datadir}/applications           \
        %{buildroot}%{_datadir}/applications/*.desktop


%files
%doc --no-dereference COPYING
%doc README.md
%{_bindir}/eyesight
%{_datadir}/applications/eyesight.desktop
%{_datadir}/eyesight
%{_datadir}/appdata/eyesight.appdata.xml


%changelog
* Tue Apr 12 2022 Cronbuild Service <cronbuild@altlinux.org> 0.1.4-alt1_7
- update by mgaimport

* Fri Dec 25 2020 Igor Vlasenko <viy@altlinux.ru> 0.1.4-alt1_6
- update by mgaimport

* Tue Mar 10 2020 Igor Vlasenko <viy@altlinux.ru> 0.1.4-alt1_5
- update by mgaimport

* Wed Apr 10 2019 Igor Vlasenko <viy@altlinux.ru> 0.1.4-alt1_4
- update by mgaimport

* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> 0.1.4-alt1_3
- update by mgaimport

* Thu Jun 07 2018 Igor Vlasenko <viy@altlinux.ru> 0.1.4-alt1_2
- update by mgaimport

* Sun Mar 18 2018 Igor Vlasenko <viy@altlinux.ru> 0.1.4-alt1_1
- new version

